/*
To change this license header, choose License Headers in Project Properties.
To change this template file, choose Tools | Templates
and open the template in the editor.
*/
/* 
    Created on : Oct 17, 2018, 9:07:18 AM
    Author     : ekadystiant
*/
.es-padding-small {
 padding-top: 4px;
  padding-right: 8px;
  padding-bottom: 4px;
  padding-left: 8px;
  }
  .es-padding {
 padding-top: 4px;
  padding-right: 12px;
  padding-bottom: 4px;
  padding-left: 12px;
  }
[class*=esbtn-] {
  outline: 0;
  border-radius: 50px;
  font-size: 0.8em;
  font-family: "Roboto", sans-serif;
  font-weight: 400;
  letter-spacing: 4px;
  overflow: hidden;
  position: relative;
  padding: 2em 3em;
  margin: 4em;
  text-transform: uppercase;
  -webkit-tap-highlight-color: transparent;
  transition: all 500ms ease-in-out;
}
[class*=esbtn-]::after, [class*=esbtn-]::before {
  content: "";
  position: absolute;
}
[class*=esbtn-]:hover, [class*=esbtn-]:focus {
  background: rgba(255, 255, 255, 0.8);
}

[class*=esbtn-mix]::after {
  background: #222;
  border-radius: 120px;
  content: attr(data-text);
  color: #fff;
  padding: 1.6em 2.5em;
  top: 0.4em;
  left: 0.5em;
  -moz-user-select: none;
  -webkit-user-select: none;
      -ms-user-select: none;
          user-select: none;
  user-drag: none;
}
[class*=esbtn-mix]::before {
  background: transparent;
  border-radius: 100%;
  top: 50%;
  left: 50%;
  box-shadow: 0 1em 2em 3em rgba(255, 50, 0, 0.5), 4em 0em 2em 2em rgba(155, 50, 0, 0.6), -4em -2em 2em 2em rgba(255, 0, 150, 0.5), -4em 2em 2em 4em rgba(0, 0, 150, 0.5), 0 -3em 2em 3em rgba(120, 250, 0, 0.5), 2em -1em 2em 2em rgba(50, 10, 200, 0.5);
  width: 0;
  height: 0;
  -webkit-animation: mix 5s linear infinite;
          animation: mix 5s linear infinite;
}

@-webkit-keyframes mix {
  30% {
    box-shadow: 0 -1em 2em 3em rgba(255, 0, 200, 0.5), 4em -1em 2em 3em rgba(255, 50, 0, 0.8), -4em 2em 3em 2em rgba(155, 200, 0, 0.5), -4em -2em 2em 2em rgba(200, 0, 150, 0.6), 0 3em 2em 2em rgba(20, 250, 0, 0.5), 2em 1em 2em 2em rgba(50, 10, 250, 0.5);
  }
  60% {
    box-shadow: 2em 1em 2em 3em rgba(55, 0, 200, 0.5), 3em 1em 2em 3em rgba(25, 150, 0, 0.6), 3em -2em 3em 3em rgba(155, 200, 0, 0.5), -4em 2em 2em 3em rgba(200, 0, 50, 0.6), 0 -3em 2em 3em rgba(200, 250, 0, 0.5), -2em 1em 2em 3em rgba(50, 210, 250, 0.6);
  }
}

@keyframes mix {
  30% {
    box-shadow: 0 -1em 2em 3em rgba(255, 0, 200, 0.5), 4em -1em 2em 3em rgba(255, 50, 0, 0.8), -4em 2em 3em 2em rgba(155, 200, 0, 0.5), -4em -2em 2em 2em rgba(200, 0, 150, 0.6), 0 3em 2em 2em rgba(20, 250, 0, 0.5), 2em 1em 2em 2em rgba(50, 10, 250, 0.5);
  }
  60% {
    box-shadow: 2em 1em 2em 3em rgba(55, 0, 200, 0.5), 3em 1em 2em 3em rgba(25, 150, 0, 0.6), 3em -2em 3em 3em rgba(155, 200, 0, 0.5), -4em 2em 2em 3em rgba(200, 0, 50, 0.6), 0 -3em 2em 3em rgba(200, 250, 0, 0.5), -2em 1em 2em 3em rgba(50, 210, 250, 0.6);
  }
}
.esbtn-mix-noborder::after {
  background: transparent !important;
  color: #222 !important;
}

.esbtn-mix-noRadius {
  border-radius: 0 !important;
}
.esbtn-mix-noRadius::after, .esbtn-mix-noRadius::before {
  border-radius: 0 !important;
}
a {
  text-decoration: none;
}

.esbutton {
  padding: 2px 6px;
  font-size: 10px;
  text-align: center;
  cursor: pointer;
  outline: none;
  color: #fff;
  background-color: #04AA6D;
  border: none;
  border-radius: 5px;
  box-shadow: 0 4px #999;
}

.esbutton:hover {background-color: #3e8e41}

.esbutton:active {
  background-color: #3e8e41;
  box-shadow: 0 3px #666;
  transform: translateY(4px);
}
.efekgridicon{
    -webkit-transition: all 0.5s ease;
    -moz-transition: all 0.5s ease;
    -o-transition: all 0.5s ease;
    -ms-transition: all 0.5s ease;
    transition: all 0.5s ease;

}

.efekgridicon:hover { 
    height: 100px;
    width: 100px;
   
    cursor: pointer;
    -webkit-transform: rotate(-10deg);
    -moz-transform: rotate(-10deg);
    -o-transform: rotate(-10deg);
    -ms-transform: rotate(-10deg);
    transform: rotate(-10deg);
} 
